#
# spec file for package canutils
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           canutils
Summary:        Utilities for Controller Area Networks from the Linux-CAN project
License:        GPL-2.0-only AND BSD-3-Clause
Group:          Hardware/Other
Version:        2020.11.0
Release:        1.26
URL:            https://github.com/linux-can/can-utils

Source:         can-utils-%version.tar.xz
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  xz
Obsoletes:      canutils-linuxcan
Provides:       canutils-linuxcan
Provides:       can-utils = %version-%release

%description
SocketCAN userspace utilities and tools.

CAN is a message-based network protocol designed for vehicles
originally initially created by Robert Bosch GmbH. SocketCAN is a set
of CAN drivers and a networking stack contributed by Volkswagen
Research to the Linux kernel.

This package contains some userspace utilities for the Linux
SocketCAN subsystem.

%prep
%autosetup -n can-utils-%version -p1

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

%files
%_bindir/*
%doc *.md
%license LICENSES/*

%changelog
* Mon Nov 30 2020 jengelh@inai.de
- Add "can-utils" provides, add documentation.
* Tue Nov 17 2020 jengelh@inai.de
- Update to release 2020.11.0
  * No further changes to prior snapshot, just version bump.
* Thu Oct 29 2020 jengelh@inai.de
- Update to snapshot 2020.04.02.g192 (4573e852f9)
  * isotpsend: add support for blocking write flag
  * add cansequence tool
* Tue Sep  1 2020 jengelh@inai.de
- Update to version 2020.04.02.g119 (ea844bdc5e)
  * Rename jcat et al to j1939cat
  * j1939cat: add broadcast support
* Mon Aug 24 2020 tuukka.pasanen@ilmi.fi
- Update to version v2020.04.02
  * jcat: provide errqueue support
  * jcat: add repeat support
  * Add uds output functionality
  * cangw: add new command line option -X to handle CAN FD rules
  * cangw: add CAN FD support
- Drop 0001-fix-include-to-find-SIOCGSTAMP-with-latest-kernel.patch
* Mon Aug 26 2019 jengelh@inai.de
- Add 0001-fix-include-to-find-SIOCGSTAMP-with-latest-kernel.patch
  to unbreak build with modern linux-glibc-devel.
* Sat Aug 25 2018 jengelh@inai.de
- Rename canutils-linuxcan to canutils
* Wed Aug 15 2018 tuukka.pasanen@ilmi.fi
- Update to official release 2018.02.0
* Mon Nov 21 2016 jengelh@inai.de
- Initial package (version 0~g296) for build.opensuse.org
